﻿''
'' WpfVB
''
'' Copyright (c) 2017 http://www.curict.com
'' This software is released under the MIT License, see LICENSE.txt.
''

Imports System.ComponentModel

Public Class MainWindowViewModel : Implements INotifyPropertyChanged

    Private _comboBox1SelectedValue As String
    Private _comboBox2SelectedValue As String


    ''' <summary>
    ''' ComboBox1の選択値
    ''' </summary>
    Public Property ComboBox1SelectedValue As String
        Get
            Return _comboBox1SelectedValue
        End Get
        Set(value As String)
            _comboBox1SelectedValue = value
            ' プロパティ変更通知
            RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs("ComboBox1SelectedValue"))
        End Set
    End Property

    ''' <summary>
    ''' ComboBox2の選択値
    ''' </summary>
    Public Property ComboBox2SelectedValue As String
        Get
            Return _comboBox2SelectedValue
        End Get
        Set(value As String)
            _comboBox2SelectedValue = value
            ' プロパティ変更通知
            RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs("ComboBox2SelectedValue"))
        End Set
    End Property

#Region "INotifyPropertyChangedの実装"
    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged
#End Region
End Class
